.\"	$NetBSD: vnd.4,v 1.1 1995/12/30 18:10:48 thorpej Exp $
.\"
.\" Copyright (c) 1995 Jason R. Thorpe.
.\" All rights reserved.
.\"
.\" Redistribution and use in source and binary forms, with or without
.\" modification, are permitted provided that the following conditions
.\" are met:
.\" 1. Redistributions of source code must retain the above copyright
.\"    notice, this list of conditions and the following disclaimer.
.\" 2. Redistributions in binary form must reproduce the above copyright
.\"    notice, this list of conditions and the following disclaimer in the
.\"    documentation and/or other materials provided with the distribution.
.\" 3. All advertising materials mentioning features or use of this software
.\"    must display the following acknowledgement:
.\"	This product includes software developed for the NetBSD Project
.\"	by Jason R. Thorpe.
.\" 4. Neither the name of the author nor the names of its contributors
.\"    may be used to endorse or promote products derived from this software
.\"    without specific prior written permission.
.\"
.\" THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR
.\" IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES
.\" OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
.\" IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT,
.\" INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING,
.\" BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES;
.\" LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED
.\" AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,
.\" OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
.\" OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
.\" SUCH DAMAGE.
.\"
.Dd December 30, 1995
.Dt VN 4
.Os
.Sh NAME
.Nm vn
.Nd vnode disk driver
.Sh SYNOPSIS
.Cd "pseudo-device vn" Op Ar count
.Sh DESCRIPTION
The
.Nm
driver provides a disk-like interface to a file.  This is useful for
a variety of applications, including swap files and building mini-root
or floppy disk images.
.Pp
This document assumes that you're familiar with how to generate kernels,
how to properly configure disks and pseudo-devices in a kernel
configuration file.
.Pp
In order to compile in support for the
.Nm vn ,
you must add a line similar
to the following to your kernel configuration file:
.Bd -unfilled -offset indent
pseudo-device	vn	4	#Vnode driver
.Ed
.Pp
The
.Ar count
argument is how many
.Nm vn Ns 's
memory is allocated for a boot time.  In this example, no more than 4
.Nm vn Ns 's
may be configured.
.Pp
There is a run-time utility that is used for configuring
.Nm vn Ns 's .
See
.Xr vnconfig 8
for more information.
.Sh BUGS
The
.Nm
driver does not work if the file does not reside in a local filesystem.
.Sh FILES
/dev/{,r}vn* - vn device special files.
.Pp
.Sh HISTORY
The vnode disk driver was originally written at the University of
Utah.
.Sh SEE ALSO
.Xr config 8 ,
.Xr fsck 8 ,
.Xr MAKEDEV 8 ,
.Xr mount 8 ,
.Xr newfs 8 ,
.Xr vnconfig 8 .
